Package com.enonic.xp.content

## Class Media

- java.lang.Object
- - com.enonic.xp.content.Content
  - - com.enonic.xp.content.Media

-     @PublicApi
      public class Media
      extends Content

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Media.Builder` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Media.Builder` | `create()` |
    `static Media.Builder` | `create​(Media source)` |
    `boolean` | `equals​(Object o)` |
    `Cropping` | `getCropping()` |
    `FocalPoint` | `getFocalPoint()` |
    `Attachment` | `getMediaAttachment()` |
    `ImageOrientation` | `getOrientation()` |
    `Attachment` | `getSourceAttachment()` |
    `boolean` | `isImage()` |

    - ### Methods inherited from class com.enonic.xp.content.Content

      `create, create, getAllExtraData, getArchivedBy, getArchivedTime, getAttachments, getChildOrder, getContentState, getCreatedTime, getCreator, getData, getDisplayName, getId, getInherit, getLanguage, getManualOrderValue, getModifiedTime, getModifier, getName, getOriginalName, getOriginalParentPath, getOriginProject, getOwner, getPage, getParentPath, getPath, getPermissions, getProcessedReferences, getPublishInfo, getThumbnail, getType, getValidationErrors, getVariantOf, getWorkflowInfo, hasChildren, hasExtraData, hashCode, hasPage, hasThumbnail, inheritsPermissions, isPageTemplate, isRoot, isSite, isValid`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isImage

          public boolean isImage()

    - #### getMediaAttachment

          public Attachment getMediaAttachment()

    - #### getOrientation

          public ImageOrientation getOrientation()

    - #### getFocalPoint

          public FocalPoint getFocalPoint()

    - #### getCropping

          public Cropping getCropping()

    - #### getSourceAttachment

          public Attachment getSourceAttachment()

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Content`

    - #### create

          public static Media.Builder create()

    - #### create

          public static Media.Builder create​(Media source)